# Parma_Polyhedra_Library::PIP_Decision_Node Class Reference

A tree node representing a decision in the space of solutions. More...

`#include <ppl.hh>`

Inherits Parma_Polyhedra_Library::PIP_Tree_Node.

List of all members.

## Public Member Functions

virtual PIP_Tree_Node * | clone () const
| Returns a pointer to a dynamically-allocated copy of `*this`.
virtual | ~PIP_Decision_Node ()
| Destructor.
virtual bool | OK () const
| Returns `true` if and only if `*this` is well formed.
virtual const PIP_Decision_Node * | as_decision () const
| Returns `this`.
const PIP_Tree_Node * | child_node (bool b) const
| Returns a const pointer to the `b` (true or false) branch of `*this`.
PIP_Tree_Node * | child_node (bool b)
| Returns a pointer to the `b` (true or false) branch of `*this`.
void | ascii_dump (std::ostream &s) const
| Dumps to `s` an ASCII representation of `*this`.
bool | ascii_load (std::istream &s)
| Loads from `s` an ASCII representation (as produced by ascii_dump(std::ostream&) const) and sets `*this` accordingly. Returns `true` if successful, `false` otherwise.
virtual memory_size_type | total_memory_in_bytes () const
| Returns the total size in bytes of the memory occupied by `*this`.
virtual memory_size_type | external_memory_in_bytes () const
| Returns the size in bytes of the memory managed by `*this`.

## Protected Member Functions

| PIP_Decision_Node (const PIP_Decision_Node &y)
| Copy constructor.
virtual void | update_tableau (const PIP_Problem &pip, dimension_type external_space_dim, dimension_type first_pending_constraint, const Constraint_Sequence &input_cs, const Variables_Set &parameters)
| Implements pure virtual method PIP_Tree_Node::update_tableau.
virtual PIP_Tree_Node * | solve (const PIP_Problem &pip, bool check_feasible_context, const Matrix &context, const Variables_Set &params, dimension_type space_dim, unsigned indent_level)
| Implements pure virtual method PIP_Tree_Node::solve.
virtual void | print_tree (std::ostream &s, unsigned indent, const std::vector< bool > &pip_dim_is_param, dimension_type first_art_dim) const
| Prints on `s` the tree rooted in `*this`.

## Detailed Description

A tree node representing a decision in the space of solutions.

The documentation for this class was generated from the following file:

- ppl.hh